Betterbird verträgt sich nicht mit Thunderbird-Sprachpaketen

  • Die Mozilla-Programme legen seit Jahren immer dann "zwangsweise" ein neues Profil an, wenn man ohne Profil-Manager bzw. ohne Parameter für ein spezifisches Profil die Anwendung startet und dabei unterschiedliche Installationen des Programms verwendet.

    Hmm, ich habe damals bei TB daran gearbeitet, dass das so wenig wie möglich stattfand, z.B. werden eine 32bit und eine 64bit Version nicht unterschieden, was bei FF nicht der Fall ist. (Dazu gibt es eine lange Geschichte, FF hat den upgrade auf 64bit gemacht bevor sie das mit "profile per install" eingeführt haben. TB hat das verpasst und hatte dann vom 32bit zum 64bit Umstieg ein Problem.)


    Eigentlich sollte ein Upgrade von 78 auf 91 eben gerade kein neues Profile anlegen. TB-Support hatte zu viele Fälle von "alles ist weg". Wie dem auch sei, ein Upgrade von TB 78 auf BB 91 war eigentlich nicht vorgesehen.


    Ich persönlich starte BB von einen Windows shortcut `betterbird -p default`. Dann habe ich noch andere shortcuts für andere Lebenslagen.


    (Sorry, wires crossed. Ja, Thema erledigt.)

  • Wenn Betterbird auf Dauer angeboten und gepflegt wird, und wenn dann weitere entscheidende Änderungen eingebaut werden, dann müsste man wirklich für sauber getrennte Profile sorgen. Dann würde es sicherlich auch Sinn machen, dass man auch seitens des Profil-Managers eine saubere Trennung vollführen würde.

    Ich denke, das sollte so bald wie möglich so sein. Wenn Betterbird-Probleme im Zusammenspiel mit Thunderbird auftreten, könnte das Nutzer abschrecken, Betterbird zu verwenden. Für diese Nutzer ist es ein Betterbird-Problem, denn sie kennen die Zusammenhänge nicht. Der/Die Entwickler von Betterbird ist/sind angetreten, Betterbird zu einem besseren Programm als Thunderbird zu machen: Bugs schneller zu beheben, neue Funktionen eher einzubauen, Probleme schneller zu beheben, obwohl Letzteres vielleicht mehr die Aufgabe der Forumshelfer ist.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • Vielen Dank für eure ausführlichen Rückmeldungen! ich habe lange nicht reingeschaut, darum erst jetzt meine Antwort.

    Ich nutze Thunderbird 91 (bin damit unzufrieden, da die Performance sehr zu wünschen übrig lässt.)


    Betterbird habe ich von der betterbird-Seite heruntergeladen.


    Betterbird mit einem neuen Profil gestartet (betterbird -p) funktioniert bei mir.


    Betterbird mit Standard-Profil gestartet funktioniert nicht.

    - Auch nicht, wenn ich das Sprachpaket in den Einstellungen deinstalliert habe.


    Betterbird startet allerdings sehr wohl mit dem Standard-Profil, wenn ich die Sprachpakete unter "Addons" entfernt habe (wozu auch immer es diese dann überhaupt gibt).



    Die exorbitante Systemlast jedoch bleibt (auch mit neuem Profil). Aber dazu habe ich bereits in der Thunderbird-Abteilung einen Thread erstellt. Das will ich hier jetzt nicht thematisieren. Wer doch da weiter nachforschen will, hier de rLog aus dem Terminal:

    Code
    Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Couldn't sanitize RENDERER device: AMD RENOIR (t=1.03063) |[C1][GFX1-]: Couldn't sanitize RENDERER 
    device: AMD RENOIR (t=1.05395) |[C2][GFX1-]: Couldn't sanitize RENDERER device: AMD RENOIR (t=2.89917) |[C3][GFX1-]: Couldn't sanitize RENDERER device: A
    MD RENOIR (t=2.91413) [GFX1-]: Couldn't sanitize RENDERER device: AMD RENOIR


    Vielen Dank fürs Lösen und beste Grüße!



    PS: Jetzt versuche ich mal den Thread zu schließen. Wo/wie mach' ich das?

  • Ach ja, falls es noch relevant sein sollte für die Herkunft "meines" betterbirds: für Arch-Linux gibt es scheinbar kein repository für betterbird.


    (Wie das bei snap und flatpak aussieht weiß ich nicht, das nutze ich nicht.)

  • wenn ich die Sprachpakete unter "Addons" entfernt habe (wozu auch immer es diese dann überhaupt gibt).

    Die Sprachpakete werden gebraucht, wenn jemand TB in mehreren Sprachen nutzen wil. Ein Build kann ja nur in einer Sprache sein.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, WordPress und Facebook

  • für Arch-Linux gibt es scheinbar kein repository für betterbird.

    Das gilt meines Wissens für sämtliche Distris. Den Betterbird gibt es derzeit nur direkt beim Hersteller. Als Download.

    Wer wenig oder gar nichts kann, schiebt's auf den Antiviruskram.

    (Compuzius, Buch 5)